/*
 * SiteUser.java
 *
 * Created on June 5, 2009
 */

package gov.bnl.gums;

import javax.persistence.*;

@Embeddable
public class SiteUser {
	
	// persistent fields
	protected String account;
	
	public SiteUser() {}
	
	public SiteUser(String account) {
		assert(account!=null);
		this.account = account;
	}
	
	public String getAccount() {
		return account;
	}

    public int hashCode() {
    	assert(account!=null);
    	return account.hashCode();
    }
	
	public void setAccount(String account) {
		assert(account!=null);
		this.account = account;
	}
	
	public String toString() {
		return account;
	}
	
	public boolean equals(Object o) {
		if (o == null)
			return false;
		if (o instanceof SiteUser) {
			if (account != null)
				return account.equals(((SiteUser)o).getAccount());
		}
		else if (o instanceof Mapping) {
			if (account != null)
				return account.equals(((Mapping)o).getSiteUser().getAccount());
		}
		return false;
	}
}
