/*
 * GroupAccountMapperTest.java
 * JUnit based test
 *
 * Created on May 25, 2004, 2:18 PM
 */

package gov.bnl.gums.account;

import gov.bnl.gums.SiteUser;
import gov.bnl.gums.configuration.Configuration;

import java.util.HashSet;
import java.util.Set;

import junit.framework.*;

/**
 *
 * @author carcassi
 */
public class AccountPoolMapperTest extends TestCase {
    
    AccountMapper mapper;
    
    public AccountPoolMapperTest(java.lang.String testName) {
        super(testName);
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(AccountPoolMapperTest.class);
        return suite;
    }
    
    public void setUp() {
    	Configuration configuration = new Configuration();
        AccountPoolMapper accountMapper = new AccountPoolMapper(configuration, "myAccountPoolMapper");
        accountMapper.setAccountPool("test");
        accountMapper.createMapping(null, new SiteUser("account1"));
        accountMapper.createMapping(null, new SiteUser("account2"));
        mapper = accountMapper;
    }
    
    public void testMapUser() {
        int i = 0;
        Set<SiteUser> siteUsers = new HashSet<SiteUser>();
        SiteUser siteUser = mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=User "+i, true);
        while (siteUser != null) {
            i++;
            assertFalse(siteUsers.contains(siteUser));
            siteUsers.add(siteUser);
            siteUser = mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=User "+i, true);
        }
    }
    
    public void testMapUser2() {
        String account1 = mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=User 1", true).getAccount();
        String account2 = mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=User 2", true).getAccount();
        assertEquals(account1, mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=User 1", true).getAccount());
        assertEquals(account2, mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=User 2", true).getAccount());
        assertEquals(account2, mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=User 2", true).getAccount());
        assertEquals(account1, mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=User 1", true).getAccount());
        assertEquals(null, mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=User 3", true));
    }
    
}
