/*
 * GecosMapTest.java
 * JUnit based test
 *
 * Created on May 10, 2005, 11:45 AM
 */

package gov.bnl.gums.account;

import gov.bnl.gums.util.GecosMap;
import junit.framework.*;

/**
 *
 * @author carcassi
 */
public class GecosMapTest extends TestCase {
    GecosMap map;
    
    public GecosMapTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
        map = new GecosMap();
    }

    protected void tearDown() throws Exception {
    }

    public static Test suite() {
        TestSuite suite = new TestSuite(GecosMapTest.class);
        
        return suite;
    }

    public void testSimpleEntry() {
        map.addEntry("jsmith", "John Smith");
        String account = map.findAccount("John", "Smith");
        assertEquals("jsmith", account);
    }

    public void testReverseEntry() {
        map.addEntry("jsmith", "John Smith");
        String account = map.findAccount("Smith", "John");
        assertEquals("jsmith", account);
    }

    public void testMultipleReverseEntries() {
        map.addEntry("jsmith", "John Smith");
        map.addEntry("jsmith2", "John Smith");
        String account = map.findAccount("Smith", "John");
        assertNull(account);
    }

    public void testMultipleEntries() {
        map.addEntry("jsmith", "John Smith");
        map.addEntry("jsmith2", "John Smith");
        String account = map.findAccount("John", "Smith");
        assertNull(account);
    }

    public void testMisspelledName() {
        map.addEntry("jsmith", "John Smith");
        String account = map.findAccount("Jon", "Smith");
        assertEquals("jsmith", account);
    }

    public void testMisspelledNameWithMultipleSurnames() {
        map.addEntry("jsmith", "John Smith");
        map.addEntry("jsmith2", "Jon Smith");
        String account = map.findAccount("Jon", "Smith");
        assertEquals("jsmith2", account);
    }
    
}
