/*
 * GecosLdpaAccountMapperTest.java
 * JUnit based test
 *
 * Created on May 10, 2005, 11:58 AM
 */

package gov.bnl.gums.account;

import gov.bnl.gums.configuration.Configuration;
import junit.framework.*;

import java.util.Enumeration;
import java.util.Properties;
import java.util.PropertyResourceBundle;
import java.util.ResourceBundle;

/**
 *
 * @author carcassi
 */
public class LDAPAccountMapperTest extends TestCase {
    LdapAccountMapper mapper;
    
    public LDAPAccountMapperTest(String testName) {
        super(testName);
    }
    
    protected static Properties readLdapProperties() {
        PropertyResourceBundle prop = (PropertyResourceBundle) ResourceBundle.getBundle("ldap");
        Properties prop2 = new Properties();
        Enumeration<String> keys = prop.getKeys();
        while (keys.hasMoreElements()) {
            String key = (String) keys.nextElement();
            prop2.setProperty(key, prop.getString(key));
        }
        return prop2;
    }

    protected void setUp() throws Exception {
        mapper = new LdapAccountMapper(new Configuration(), "ldapAccountMapper");
        mapper.setJndiLdapUrl( LDAPAccountMapperTest.readLdapProperties().getProperty("java.naming.provider.url") );
    }

    protected void tearDown() throws Exception {
    }

    public static Test suite() {
        TestSuite suite = new TestSuite(LDAPAccountMapperTest.class);
        
        return suite;
    }

    public void testMap() {
    	String account = mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=John Smith", false).getAccount();
    	assertEquals(account, "jsmith");
    	account = mapper.mapDn("/DC=org/DC=griddev/OU=People/CN=Jane Doe 12345", false).getAccount();
    	assertEquals(account, "jdoe");
    }
    
}
